//  Lino
//  Copyright (C) 2006 Jonathan Buron <nathan@natsimhan.com>
//  Copyright (C) 2005-2006 Pierre-Yves Bonnefoy <pyb@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA


#ifndef __LANGUE_H__
#define __LANGUE_H__

#include <SDL.h>

#include <stdio.h>
#include <iostream>
#include <string>
#include <sstream>
#include <fstream>
#include <map>

#include "Config.h"
#include "Texte.h"

class Lineo;

using namespace std;

typedef map<string, string> mapLangue;
typedef map<string, string>::iterator  mapiter;

// No description
class Langue
{
  //*******************
  //* variables membres
	private:
	    Lineo		   *_AppLineo;
	    mapLangue 		_TexteLangueOriginal;
	    mapLangue 		_TexteLangue;

  //*******************
  //* fonctions membres
	public:
		Langue(Lineo *app_lineo);
		~Langue();

        void Lire();
        string get(string ChoixLangue);
        void replace(string search,string replacement);

    private:
        bool is_readable( const string & file);
};

#endif // __LANGUE_H__
