//  Lino
//  Copyright (C) 2005 Jonathan Buron <nathan@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "NoeudIA.h"

NoeudIA::NoeudIA(LaDonne donne)
{
    // on initialise la classe mre
    _Donne = donne;
}

NoeudIA::~NoeudIA()
{
	// insert your code here
}

// choisie une pice dans les libres
// ==> redfinition de la mthode de LaDonne, c'est pourquoi on l'appel
//  la fin pour tre sr de mettre  jour ses propres donnes
void NoeudIA::choisirPiece(Uint8 i)
{
    _NextPieceChoisie = i;
    _Donne.choisirPiece(i);
}

// place la pice choisie sur le plateau
// ==> redfinition de la mthode de LaDonne, c'est pourquoi on l'appel
//  la fin pour tre sr de mettre  jour ses propres donnes
void NoeudIA::placerPiece(Uint8 i, Uint8 j)
{
    _NextI = i;
    _NextJ = j;
    _Donne.placerPiece(i,j);
}

// petite fonction renvoyant l'index de la matrice d'aprs le define d'une forme
Uint8 NoeudIA::formeToIndex(Uint8 def_forme){
    switch(def_forme){
        case P_FORME_ROND:    return 0; break;
        case P_FORME_CARRE:   return 1; break;
        case P_FORME_PETITE:  return 2; break;
        case P_FORME_GRANDE:  return 3; break;
        case P_FORME_COLOR_1: return 4; break;
        case P_FORME_COLOR_2: return 5; break;
        case P_FORME_PLEINE:  return 6; break;
        case P_FORME_CREUSE:  return 7; break;
    }
    // valeur par defaut mais qui ne devrait pas arriver...
    fprintf(stderr,"\nProblme dans NoeudIA::formeToIndex(%d) car la forme n'a pas t reconnue.\n\n",def_forme);
    return 0;
}
