//  Lino
//  Copyright (C) 2005-2006 Jonathan Buron <nathan@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA


#ifndef __GENERIQUE_DEBUT_H__
#define __GENERIQUE_DEBUT_H__

#include <SDL.h>

#include "Defines.h"
#include "Timer.h"
#include "Screen.h"
#include "Events.h"
#include "VTexte.h"
#include "FondEcran.h"
#include "Langue.h"

#define GENERIQUE_DEBUT_SPRITE_NATSIMHAN "GENERIQUE_DEBUT_SPRITE_NATSIMHAN"

class Lineo;

using namespace std;

class GeneriqueDebut
{
  //*******************
  //* variables membres
    private:
	    Lineo 	   *_AppLineo;
        int 		_Compteur;

        Uint32 		_CopyrightStrId;
        FondEcran* 	_FondEcran;

  //*******************
  //* fonctions membres
	public:
		GeneriqueDebut(Lineo *app_lineo);
		~GeneriqueDebut();
		void processEvents(SDL_Event *event);
};

#endif // __GENERIQUE_DEBUT_H__
